Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Get project

Prev Next

Available in Classic and VPC

Get the details of the project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /common/v2/projects/{projectId}

Request headers

For information about the headers common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
projectId String Required Project ID

Request example

The request example is as follows:

curl --location --request GET 'https://sens.apigw.ntruss.com/common/v2/projects/5c7c325a-****-****-****-42ef00c15265' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
projectId String - Project ID
projectName String - Project name
projectDesc String - Project description
useSms Boolean - SMS service usage
  • true | false
    • true: Enable
    • false: Disable
useKkoBizMsg Boolean - Biz Message service usage
  • true | false
    • true: Enable
    • false: Disable
smsService Object - SMS service meta information
smsService.serviceId String - SMS service ID
smsService.serviceName String - SMS service name
smsService.createTime String - SMS service creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
smsService.updateTime String - SMS service modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
smsService.useBlockService Boolean - 080 call block number service usage
  • true | false
    • true: Enable
    • false: Disable
kkoBizMsgService Object - Biz Message service meta information
kkoBizMsgService.serviceId String - Biz Message service ID
kkoBizMsgService.serviceName String - Biz Message service name
kkoBizMsgService.createTime String - Biz Message service creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
kkoBizMsgService.updateTime String - Biz Message service modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
createTime String - Project creation date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
updateTime String - Project final modification date and time
  • YYYY-MM-DDTHH:mm:ss.sss format
  • Not displayed if there is no modification history

Response status codes

For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see Simple & Easy Notification Service response status codes.

Response example

The response example is as follows:

{
    "projectId": "5c7c325a-****-****-****-42ef00c15265",
    "projectName": "sens",
    "projectDesc": "sample project",
    "useSms": true,
    "useKkoBizMsg": true,
    "smsService": {
        "serviceId": "ncp:sms:kr:50********51:sens",
        "serviceName": "sens",
        "createTime": "2025-11-18T09:14:49.686",
        "updateTime": "2025-11-18T09:14:49.681",
        "useBlockService": true
    },
    "kkoBizMsgService": {
        "serviceId": "ncp:kkobizmsg:kr:50*********3:sens",
        "serviceName": "sens",
        "createTime": "2025-11-18T09:14:49.691",
        "updateTime": "2025-11-18T09:14:49.690"
    },
    "createTime": "2025-11-18T09:14:49.679"
}